org.apache.maven.scm.provider.cvslib.cvsexe.command.branch

## Class CvsExeBranchCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.branch.AbstractBranchCommand
    - - org.apache.maven.scm.provider.cvslib.command.branch.AbstractCvsBranchCommand
      - - org.apache.maven.scm.provider.cvslib.cvsexe.command.branch.CvsExeBranchCommand

All Implemented Interfaces:
  Command, CvsCommand

    public class CvsExeBranchCommand
    extends AbstractCvsBranchCommand

Author:
  Emmanuel Venisse, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`CvsExeBranchCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected BranchScmResult` `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)`

### Methods inherited from class org.apache.maven.scm.provider.cvslib.command.branch.AbstractCvsBranchCommand

`executeBranchCommand`

### Methods inherited from class org.apache.maven.scm.command.branch.AbstractBranchCommand

`executeBranchCommand, executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### CvsExeBranchCommand

    public CvsExeBranchCommand()

### Method Detail

#### executeCvsCommand

    protected BranchScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)
                                         throws ScmException

Specified by:
  `executeCvsCommand` in class `AbstractCvsBranchCommand`
Throws:
  `ScmException`